<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->

	<xsl:template match="MENU" mode="top">
					<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
             <xsl:when test="@ID=/LAYOUT/@ID" >
					<table cellpadding="0" cellspacing="0" style="margin-top:7px;"><tr><td><img src="images/submenu_bullet.gif" border="0" style="margin:0px 5px 0px 35px;" align="absmiddle"/></td><td style="height: 16px; width: 135px; background-color:  #BD122E; padding-left: 5px;  padding-bottom: 2px;"><a href="#" class="asubmenu"><xsl:value-of select="@TITLE"/></a></td></tr></table>
             </xsl:when>
             <xsl:otherwise>
 				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
   					<div style="width:0px; height:9px;"><spacer type="block" width="0" height="9" /></div>
					<a href="{@HREF}" class="submenu"><img src="images/submenu_bullet.gif" border="0" style="margin:0px 10px 0px 35px;" align="absmiddle"/><xsl:value-of select="@TITLE"/></a><br />
 				</xsl:if>
             </xsl:otherwise>
        </xsl:choose>
	</xsl:template>

   			
	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<tr>
					<td style="padding:0px 5px 0px 13px;"><a href="{@HREF}"><img src="images/bullet.gif" border="0"/></a></td>
					<td width="100%" height="25" style="background-image: url('images/amenu_bg.gif'); background-position: top right; background-repeat: no-repeat; padding-left: 30px;">
						<a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
					</td>
				</tr>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<tr>
					<td style="padding:0px 5px 0px 13px;"><img src="images/bullet.gif" border="0"/></td>
					<td width="100%" height="25" style="background-image: url('images/amenu_bg.gif'); background-position: top right; background-repeat: no-repeat; padding-left: 30px;">
						<span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
					</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<tr>
					<td style="padding:0px 5px 0px 13px;"><a href="{@HREF}"><img src="images/bullet.gif" border="0"/></a></td>
					<td width="100%" height="25" style="padding-left: 30px;">
						<a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
					</td>
				</tr>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
   			<tr><td colspan="2" height="1" width="176" style="background-image: url('images/menu_hr.gif'); background-position: center left; background-repeat: repeat-x;"></td></tr>
		</xsl:if>
	</xsl:template>


</xsl:stylesheet>
