<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>			
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			
			<style type="text/css">
			</style>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>

<body style="MARGIN: 0px;background-image: url(blue/images/bg.gif);">

<div align="center"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td background="images/bg.gif"></td>
    <td height="38" align="center" background="images/bg.gif"></td>
    <td background="images/bg.gif"></td>
  </tr>
  <tr>
    <td width="59" background="images/bg.gif" ><img name="" src="images/blank.gif" width="59" height="1" alt=""/></td>
    <td  align="center" background="images/bg.gif">
	<table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="1"  background="images/top_1_1.gif"></td>
    <td><p></p></td>
    <td width="1" background="images/top_1_3.gif"></td>
  </tr>
</table>
</td>
  </tr>
  <tr>
    <td height="186" align="right">
	<table width="100%" height="186" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center" valign="middle" background="images/logobj.gif"><table width="0" border="0" cellspacing="0" cellpadding="0">
		  <!--logo img-->
		  <tr><td align="center" style="padding-top:10px;padding-bottom:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
		  </tr>
		  <!---->
		  <tr>
		    <td align="center" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
		  </tr>
		  <!---->
		  <tr>
		    <td valign="top" align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
		  </tr>
		</table>
		
		<table width="220" border="0" cellspacing="0" cellpadding="0"><tr><td></td></tr></table>
		
		</td>
        <td width="462" height="186"><img src="images/header.jpg" width="462" height="186" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="47" align="center" ><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="2" height="47" background="images/menu_bgl.gif"><table width="2" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="2"></td>
          </tr>
        </table></td>
        <td  align="center"  background="images/menu_bgm.gif">
			<!-- MENU -->
	<!--CALL TOP-MENU -->
		<xsl:call-template name="TOP-MENU"/>
	<!-- END MENU -->
	</td>
        <td width="2" background="images/menu_bgr.gif"> </td>
      </tr>
    </table>	

	
	
	
	</td>
  </tr>
  <tr>
    <td align="left"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="17" background="images/submenu_leftbg.gif" width="3">
		<table width="3" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="3"></td>
          </tr>
        </table></td>
        <td width="220" background="images/left_bg.gif"><table width="197" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="1"></td>
          </tr>
        </table></td>
        <td bgcolor="#FFFFFF"></td>
        <td background="images/right_bg.gif" width="3"><table width="3" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="3"></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td background="images/submenu_leftbg.gif" width="3"><table width="3" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="3"></td>
          </tr>
        </table></td>
        <td align="center" valign="top" background="images/left_bg.gif"><table width="180"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td >
			<!--sub menu-->
		   
		  <!-- CALL SUB-MENU -->
		  <xsl:call-template name="SUB-MENU">
			<xsl:with-param name="pageID" select="@ID"/>
		  </xsl:call-template>		  
			<!--sub menu end-->
				  
				  </td>
                </tr>
              </table></td>
        <td bgcolor="#FFFFFF" align="left" valign="top" style="padding-left:30px "><table border="0" cellpadding="0" cellspacing="0">
	    <tr><td align="left">
	  
	  	<!--page title-->
	  	<table width="0" border="0" cellspacing="0" cellpadding="0"><tr>
			<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			<td><img src="images/titleimg.jpg" width="26" height="37" /></td>
		</tr></table>
		  <!--page title end-->
		  
	  </td></tr></table>
	  	  <!--page content-->
	  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
          <td align="left" name="SB_stretch" class="pageContent"> <!-- CONTENT -->
			<xsl:apply-templates select="PAGE-CONTENT"/>
		<!-- END CONTENT -->
		  </td>
      </tr>
	  </table>
	  <!--page content end-->
	  
	  <table height="30" border="0" cellpadding="0" cellspacing="0"><tr><td></td></tr></table></td>
        <td background="images/right_bg.gif" width="3"><table width="3" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="3"></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
      <tr>
        <td height="46" align="center" background="images/menubj.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="46" background="images/lmenubj.gif" width="2"><table width="2" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="2"></td>
          </tr>
        </table></td>
    <td background="images/menubj.gif" align="center">
      <!--bottom menu-->
	<!-- CALL BOTTOM-MENU -->
	<xsl:call-template name="BOTTOM-MENU"/>
	<!-- END BOTTOM-MENU -->
	<!--bottom menu end--></td>
    <td background="images/rmenubj.gif" width="3"><table width="3" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="3"></td>
          </tr>
        </table></td>
  </tr>
</table>
</td>
      </tr>
      <tr>
    <td height="66" >
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="66" width="2" background="images/lcopyrightbj.gif"><table width="2" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="2"></td>
          </tr>
        </table></td>
        <td align="center" background="images/copyrightbj.gif">		
      <table align="center" width="0" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table>
        </td>
        <td width="3" background="images/rcopyrightbj.gif"><table width="3" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="3"></td>
          </tr>
        </table></td>
      </tr>
    </table>

	  
    </td>
  </tr>
</table>
	
	</td>
    <td width="59" background="images/bg.gif"><img name="" src="images/blank.gif" width="59" height="1" alt=""/></td>
  </tr>
</table>
</div>
</body>
</html>

</xsl:template>


	<!--TOP-MENU-->

				
	<xsl:template name="TOP-MENU">
	<table width="0" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<xsl:apply-templates select="MENU" mode="top"/>
		</tr>
    </table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">			
       			<table width="160" border="0" cellspacing="0" cellpadding="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				
       			<table width="160" border="0" cellspacing="0" cellpadding="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
				
			</xsl:when>
		<xsl:otherwise></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
	<table border="0" cellspacing="0" cellpadding="0"><tr>
		<xsl:apply-templates select="MENU" mode="bottom"/>
	</tr>
	</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td><img src="images/bottommenu.gif" width="27" height="42" /></td>	 
				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					
				<td><img src="images/bottommenu.gif" width="27" height="42" /></td>
				<td><span href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                </xsl:when>
                <xsl:otherwise>
					
				<td><img src="images/bottommenu.gif" width="27" height="42" /></td>
				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
   			<xsl:if test="position()!=last()">
			  
   			</xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
