<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td>
			<table width="100%" >
			<tr>
			<td align="center" style="padding-left:10px;padding-right:2px;"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td align="center"><a href="{@HREF}"><img src="images/bullet_active.gif" border="0" alt=""/></a></td>
			</tr>
			</table>
			</td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td>
			<table width="100%" >
			<tr>
			<td align="center" style="padding-left:10px;padding-right:2px;" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td align="center"><img src="images/bullet_active.gif" border="0" alt=""/></td>
			</tr>
            </table>
			</td>
            </xsl:when>
            <xsl:otherwise>
			<td>
			<table width="100%" >
			<tr>
			<td align="center" style="padding-left:10px;padding-right:2px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			<td align="center"><a href="{@HREF}" class="menu"><img src="images/bullet.gif" border="0" alt=""/></a></td>
			</tr>
			</table>
			</td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
		<td style="padding-left:5px;padding-right:5px;"><img src="images/menu_line.gif" /></td>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>