<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
      <tr>
        <td width="30"><img src="images/bullet.gif" width="30" height="30" /></td>
        <td width="142" align="left"><a href="{@HREF}" class="amenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        <td width="3" align="left" class="menu"><img src="images/blank.gif" width="10" height="10" /></td>
      </tr>
      <tr>
        <td height="3"></td>
        <td height="3" colspan="2" align="left" background="images/menuhr.jpg"><img src="images/menuhr.jpg" width="145" height="3" /></td>
      </tr>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
      <tr>
        <td><img src="images/bullet.gif" width="30" height="30" /></td>
        <td align="left" class="menu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        <td align="left" class="amenu"><span class="menu"><img src="images/blank.gif" width="10" height="10" /></span></td>
      </tr>
      <tr>
        <td height="3"></td>
        <td height="3" colspan="2" align="left" background="images/menuhr.jpg"><img src="images/menuhr.jpg" width="145" height="3" /></td>
      </tr>
            </xsl:when>
            <xsl:otherwise>
      <tr>
        <td width="30"><img src="images/bullet.gif" width="30" height="30" /></td>
        <td width="142" align="left"><a href="{@HREF}" class="amenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        <td width="3" align="left" class="menu"><img src="images/blank.gif" width="10" height="10" /></td>
      </tr>
      <tr>
        <td height="3"></td>
        <td height="3" colspan="2" align="left" background="images/menuhr.jpg"><img src="images/menuhr.jpg" width="145" height="3" /></td>
      </tr>
            </xsl:otherwise>
	    </xsl:choose>
	</xsl:template>	

</xsl:stylesheet>
