<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >





 <tr>
        <td width="8" class="a"><img src="images/bullet.gif" width="8" height="8"/></td>
        <td class="amenu"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
      </tr>
	  
	  
	  

            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >






<tr>
        <td width="8" class="a"><img src="images/bullet.gif" width="8" height="8"/></td>
        <td class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      </tr>


            </xsl:when>
            <xsl:otherwise>

<tr>
        <td width="8" class="a"><img src="images/bullet.gif" width="8" height="8"/></td>
        <td class="amenu"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
      </tr>

            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
<tr>
        <td colspan="2"><img src="images/004.gif" width="112"/></td>
        </tr>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
