<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td><img src="images/topmenu.gif" width="39" height="23" /></td><td><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td><img src="images/topmenu.gif" width="39" height="23" /></td><td><span href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
            </xsl:when>
            <xsl:otherwise>
				<td><img src="images/topmenu.gif" width="39" height="23" /></td><td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">		
		</xsl:if>
	</xsl:template>	

	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td><span href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
					<td align="right" width="28"><img src="images/submenuimg.gif" width="28" height="31" /></td>
				</tr>
				<tr  ><td height="1" colspan="2" background="images/submenubg.gif"></td></tr>
	        </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr><td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" width="28"><img src="images/submenuimg.gif" width="28" height="31" /></td></tr>	
					<tr  ><td height="1" colspan="2" background="images/submenubg.gif"></td></tr>
				</xsl:if>
            </xsl:otherwise>
			

		</xsl:choose>
		<xsl:if test="position()!=last()">	
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
