<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no" />
	<xsl:strip-space elements="*" />
	<xsl:include href="buttons.xsl" />
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID" />
		<HTML>
			<head>
				<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes" /> - <xsl:value-of select="@TITLE" disable-output-escaping="yes" /></title>
				<xsl:apply-templates select="META-TAGS" />
				<link href="css/styles.css" rel="stylesheet" type="text/css" />
			</head>
			<body bgcolor="#FFFFFF" style="	margin-left: 30px;margin-top: 30px;margin-right: 0px;margin-bottom: 30px;">
				<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td width="100%" height="46">
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td>
										<img src="images/menu_bg.gif" height="46" width="263" />
									</td>
									<td width="100%" align="center" background="images/menu_bg1.gif" style="padding-right:65px; ">
										<table border="0" cellpadding="0" cellspacing="0">
											<tr>
												<td>
													<table width="100%" border="0" cellspacing="0" cellpadding="0">
														<xsl:call-template name="TOP-MENU" />
													</table>
												</td>
											</tr>
									  </table>
									</td>
								</tr>
						  </table>
					  </td>
					</tr>
					<tr>
						<td width="100%" height="163px">
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td width="100%" background="images/header_bg.jpg" style="padding-left:45px;">
										<table width="190" border="0" cellpadding="0" cellspacing="0">
											<tr>
												<td style="padding-bottom:5px;">
													<div align="center">
														<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" /></a>
													</div>
												</td>
											</tr>
											<tr>
												<td valign="bottom">
													<div align="center" class="company">
														<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes" />
													</div>
											  </td>
											</tr>
											<tr>
												<td valign="top" class="slogan">
													<div align="center">
														<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes" />
													</div>
											  </td>
											</tr>
									  </table>
									</td>
									<td background="images/header_bg.jpg">
										<div align="right">
											<img src="images/header.jpg" width="552" height="163" />
										</div>
									</td>
								</tr>
								<tr>
									<td colspan="2" background="images/header_bg.jpg">
										<table width="100%" border="0" cellspacing="0" cellpadding="0">
											<tr>
												<td bgcolor="#FFFFFF">
													<img src="images/header_01.jpg" width="750" height="24" />
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td width="100%" height="100%">
							<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td width="190" valign="top">
										<table width="100%" border="0" cellspacing="0" cellpadding="0">
											<tr>
												<td>
													<img name="" src="" width="190" height="1" alt="" />
												</td>
											</tr>
										</table>
										<table width="140" border="0" align="center" cellpadding="0" cellspacing="0">
											<tr>
												<td height="30"></td>
											</tr>
										</table>
										<table width="140" border="0" align="center" cellpadding="0" cellspacing="0">
											<tr>
												<td height="30">
													<table width="100%" border="0" cellspacing="0" cellpadding="0">
														<xsl:call-template name="SUB-MENU">
															<xsl:with-param name="pageID" select="@ID" />
														</xsl:call-template>
													</table>
												</td>
											</tr>
										</table>
									</td>
									<td width="100%" height="100%" valign="top">
										<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                                          <tr>
                                            <td valign="bottom"><img src="images/line1.gif" width="1" height="5"/></td>
                                            <td height="35" style="padding-left:25px; "><table border="0" cellspacing="0" cellpadding="0">
                                                <tr>
                                                  <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes" /> </td>
                                                  <td width="25" class="text-header"><div align="right"> <img src="images/t_icon.gif" width="20" height="19" /> </div></td>
                                                </tr>
                                            </table></td>
                                          </tr>
                                          <tr>
                                            <td width="1" height="70" bgcolor="#CCCCCC"></td>
                                            <td width="100%" height="100%" valign="top" class="pageContent" style="padding-left:25px;padding-right:25px;" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT" /> </td>
                                          </tr>
                                          <tr>
                                            <td valign="top"><img src="images/line1.gif" width="1" height="5"/></td>
                                            <td height="30"></td>
                                          </tr>
                                        </table></td>
								</tr>
						  </table>
						</td>
					</tr>
					<tr>
						<td width="100%" height="54px">
							<table width="100%" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td width="190px" valign="top">
										<table width="100%" border="0" cellspacing="0" cellpadding="0">
											<tr>
												<td height="20" style="background: url(images/line2.gif);background-repeat: no-repeat;background-position: right top;"></td>
											</tr>
											<tr>
												<td class="footer">
													<div align="center">
														<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes" />
													</div>
												</td>
											</tr>
										</table>
									</td>
									<td height="54" background="images/bmenu_bg.gif">
										<table width="100%" border="0" cellpadding="0" cellspacing="0">
											<tr>
												<td width="13">
													<img src="images/bmenu_01.gif" width="13" height="54" />
												</td>
												<td class="bmenu" style="padding-left:20px;">
													<table border="0" cellspacing="0" cellpadding="0" align="center">
														<xsl:call-template name="BOTTOM-MENU" />
													</table>
												</td>
											</tr>
									  </table>
								  </td>
								</tr>
						  </table>
						</td>
					</tr>
				</table>









			</body>
		</HTML>
	</xsl:template>
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top" />
	</xsl:template>
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID" />
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="sub">
		<xsl:choose>
			<xsl:when test="@ID=/LAYOUT/@ID">
				<tr>
					<td>
						<img src="images/submenu_bullet.gif" border="0" alt="" />
					</td>
					<td class="asubmenu" style="padding-left: 5px; width: 100%;">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>
						<td>
							<a href="{@HREF}">
								<img src="images/submenu_bullet.gif" border="0" alt="" />
							</a>
						</td>
						<td style="padding-left: 5px; width: 100%;">
							<a href="{@HREF}" class="submenu">
								<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
							</a>
						</td>
					</tr>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<tr>
				<td colspan="2" height="20">
					<div style="height:1px; background-color: #B4B4B4; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;">
						<span></span>
					</div>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="bottom">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td>
					<a href="{@HREF}" class="abmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td class="abmenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<a href="{@HREF}" class="bmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="8"></td>
			<td>
				<img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;" />
			</td>
			<td width="8"></td>
		</xsl:if>
	</xsl:template>
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content">
				<xsl:value-of select="." />
			</xsl:attribute>
		</meta>
	</xsl:template>
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
</xsl:stylesheet>
